package com.tofly.xrtymis.custom.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * @author by 汪截流
 * @date 2020/9/2.
 */
public class Date7Utils {
    /**
     * 自定义的方法；根据定检周期计算下次定检时间
     * @param period 相加月份
     * @return
     */
    public static Date addNextPeriod(int period, Date nowTime){
        SimpleDateFormat format=new SimpleDateFormat("yyyy-MM-dd hh:mm:ss" );
        Calendar calendar=Calendar.getInstance();
        calendar.setTime(nowTime);
        calendar.add(Calendar.MONTH,period);//增加月份
        Date time=calendar.getTime();
        return time;
    }

    /**
     * 根据传递时间，计算差值，类型；计算出时间
     * @param date 传递时间
     * @param num 差值
     * @param type 类型 如：月份：Calendar.MONTH；小时：Calendar.HOUR_OF_DAY
     * @return
     */
    public static Date dateTimeDifference(Date date,long num,int type){
        Calendar cal = Calendar.getInstance();
        cal.setTime(date);
        cal.add(type,(int)num);
        return cal.getTime();
    }


}
